Bug 3964 - Cann't join WinXp SP2 to samba 3.0.23a PDC.
Cann't join WinXp SP2 to samba 3.0.23a PDC.
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Upgrade
3.0.23a
x86 Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-25 16:35 UTC by Irek Piasecki
Modified: 2006-07-26 10:43 UTC (History)
1 user (show)

See Also:


Attachments
lower case username prior to gepwnam() call for smbpasswd. (869 bytes, patch)
2006-07-25 16:45 UTC, Gerald (Jerry) Carter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Irek Piasecki 2006-07-25 16:35:50 UTC
Hi.

I just upgraded from samba 3.0.23 to 3.0.23a on my RH 7.3 box.

I can't any more adding winXP SP2 client to my samba 3.0.23a PDC.

I try adding WinXP box to samba PDC, give admin username and password, some seconds later i see: uncorectt username ! when i try agan add, i see: device falure (or similar, these messages are in polish version of XP).

I checked may samba logs and /etc/samba/smbpasswd and i have notioced: machine account were added but in UPPERCASE in smbpasswd but in unix password file machine account were added in lower case, so samba think: there isn't the same account in unix database !

There is my samba log: 

lip 25 18:31:04 serwerbiblo smbd[11450]: [2006/07/25 18:31:04, 0] passdb/pdb_smbpasswd.c:build_sam_account(1201)
lip 25 18:31:04 serwerbiblo smbd[11450]:   build_sam_account: smbpasswd database is corrupt!  username CZYTDLADOR$ with uid 532 is not in unix passwd database!
lip 25 18:31:04 serwerbiblo smbd[11450]: [2006/07/25 18:31:04, 0] passdb/pdb_smbpasswd.c:add_smbfilepwd_entry(617)
lip 25 18:31:04 serwerbiblo smbd[11450]:   add_smbfilepwd_entry: entry with name CZYTDLADOR$ already exists

I have missed some things about uppercase with samba 3.0.23a release or that is bug ?

I reverted to 3.0.23 an i could add my winXP to domain.

See ya !
Comment 1 Gerald (Jerry) Carter 2006-07-25 16:45:40 UTC
Created attachment 2064 [details]
lower case username prior to gepwnam() call for smbpasswd.
Comment 2 Gerald (Jerry) Carter 2006-07-25 16:46:03 UTC
This patch should fix it.  tdbsam and ldapsamba were updated but not smbpasswd.
Comment 3 Irek Piasecki 2006-07-25 17:03:59 UTC
(In reply to comment #2)
> This patch should fix it.  tdbsam and ldapsamba were updated but not smbpasswd.
> 

(In reply to comment #2)
> This patch should fix it.  tdbsam and ldapsamba were updated but not smbpasswd.
> 

Ok, i can't test it right now. I can wait for samba 3.0.23b to rebuild source RPMS.

Thanks Jerry for a quick reply.

Cheers.
Comment 4 Gerald (Jerry) Carter 2006-07-25 17:06:25 UTC
If you don't test it, we won't know whether it is 
fixed for a future release.
Comment 5 Irek Piasecki 2006-07-25 17:15:05 UTC
But now i'm at home allready and it's hour 00:10 here in POLAND.

I must go sleep, i'm tired.

So I can't test it immideatly. I can try test it to the end of this week. Sorry.

See ya.

P.S. maybe another person can test it ?

Comment 6 Irek Piasecki 2006-07-26 10:34:49 UTC
Ok. I did test. It's working. Good h\job. Patch defenitley fix this issue.

Best ...
Comment 7 Gerald (Jerry) Carter 2006-07-26 10:43:52 UTC
Great!  Thanks for the feedback.